"use strict";
var pascalCase = require("pascal-case");
var typeFromAST_1 = require("graphql/utilities/typeFromAST");
var printer_1 = require("graphql/language/printer");
var inner_models_builer_1 = require("./inner-models-builer");
exports.handleFragment = function (schema, fragmentNode, primitivesMap) {
    var rawName = fragmentNode.name.value;
    var fragmentName = pascalCase(rawName);
    var result = {
        name: fragmentName,
        rawName: rawName,
        isQuery: false,
        isSubscription: false,
        isMutation: false,
        isFragment: true,
        innerTypes: [],
        hasInnerTypes: false,
        variables: [],
        hasVariables: false,
        document: printer_1.print(fragmentNode)
    };
    var appendTo = {
        name: 'Fragment',
        fields: [],
        isObject: true,
        isFragment: true,
        fragmentsUsed: []
    };
    var root = typeFromAST_1.typeFromAST(schema, fragmentNode.typeCondition);
    result.innerTypes = [appendTo].concat(inner_models_builer_1.buildInnerModelsArray(schema, root, fragmentNode.selectionSet, primitivesMap, appendTo));
    result.hasInnerTypes = result.innerTypes.length > 0;
    return result;
};
//# sourceMappingURL=fragment-handler.js.map